| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bmontage.cpp File Reference

A program to generate a montage from a 3D image or a set of 2D images. More...

`#include "rwimg.h"`
`#include "img_combine.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

A program to generate a montage from a 3D image or a set of 2D images.

Author
  Bernard Heymann

Date
  Created: 20001126
  Modified: 20170117

Definition in file bmontage.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 41 of file bmontage.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bmontage [options] input.img output.img",
"----------------------------------------------",
"Generates a montage from a 3D image or a set of 2D images",
" ",
"Actions:",
"-slices 3,4 Montage a 3D image in columns and rows (0,0: automatically calculated).",
"-images 3,4 Montage 2D images in columns and rows (0,0: automatically calculated).",
"-flip y Flip panel order on the x and/or y axis.",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-datatype u Force writing of a new data type.",
"-first 12 First slice in 3D or first 2D image (default: 0).",
"-skip 2 Number of slices or images to skip (default: 0).",
"-pad 5 Padding to add around slices or images (default 0).",
"-fill 127 Fill value for padding (default average).",
" ",
NULL
}

Definition at line 19 of file bmontage.cpp.

## ◆ verbose

int verbose